Selenium WebDriver 2.0 升级到3.0 需要注意的事项 (2)

一下所有代码基于Java


首先,要升级到WebDriver 3.0 的话 请使用JAVA 8(必要)


其次,由于W3C标准化以及各大浏览器厂商的积极跟进,自WebDriver 3.0 之后,Selenium不再提供默认的浏览器支持. 也就是说

如果你要使用Firefox, 就需要用到Mozilla自己的驱动实现: geckodriver ,这里是github下载地址 https://github.com/mozilla/geckodriver/releases

一个简单的例子

	public static void main(String[] args) {
		System.setProperty("webdriver.gecko.driver", "d:\\geckodriver.exe");
		DesiredCapabilities capabilities = DesiredCapabilities.firefox();
		capabilities.setCapability("marionette", true);
		WebDriver driver = new FirefoxDriver(capabilities);

	}

如果你要使用Edge
,就需要用到MS的WebDriver, 地址在这里:https://developer.microsoft.com/en-us/microsoft-edge/tools/webdriver/

一个简单的例子

	public static void main(String[] args) {
		System.setProperty("webdriver.edge.driver","d:\\Mi

没有更多推荐了,返回首页

©️2019 CSDN 皮肤主题: 大白 设计师: CSDN官方博客

分享到微信朋友圈

×

扫一扫,手机浏览